/* 
 * This File is part of the iowj-project  
 * $Id: LCD2x24.java,v 1.1 2005/09/08 21:27:06 Thomas Wagner Exp $
 * Copyright (C)2004 by Thomas Wagner
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
package de.wagner_ibw.iow;

/**
 * This class contains all needed information about a generic 1 x 24 display.
 * <br>proved type(s):
 * <ul>
 *   <li>Seikosha L2432 (Pollin)</li>
 * </ul> 
 * @author Thomas Wagner
 * @since 0.9.4
 */
public class LCD2x24 extends LCDImpl {
	
	public LCD2x24() {
		super();
		cols = 24;
		rows = 2;
		physicalRows = 2;
		lineStartAdr[0] = 0x00;
		lineStartAdr[1] = 0x40;
	}
}
