/* 
 * This File is part of the iowj-project  
 * $Id: SPI.java,v 1.4 2005/11/19 15:34:45 Thomas Wagner Exp $
 * Copyright (C)2005 by Thomas Wagner
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
package de.wagner_ibw.iow;

import java.util.Vector;

/**
 * This is the implementation of the SPI special mode function
 * <p><b>(unfinished!)</b></p>.
 * @author Thomas Wagner
 */
public class SPI implements SpecialModeFunction {
		
	/**
	 * Name of this special mode function.
	 */
	final static String name = "SPI";
	
	private Vector listeners;
	private IowInterface iow;	
	
	public SPI (){
		listeners = new Vector();
	}
	
	
	public String toString(){
		StringBuffer sb = new StringBuffer();
		sb.append("SPI[]");
		return sb.toString();
	}
	
		
	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getDisableReport()
	 */
	public int[] getDisableReport() {
		int wbuf[] = {8,0,0,0,0,0,0,0};
		return wbuf;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getEnableReport()
	 */
	public int[] getEnableReport() {
		int mode = 0; //?
		int wbuf[] = {8,1,mode,0,0,0,0,0};
		return wbuf;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getIow24SpecialBits()
	 */
	public int[] getIow24SpecialBits() {
		int masks[] = {0xf8};
		return masks;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getIow40SpecialBits()
	 */
	public int[] getIow40SpecialBits() {
		int masks[] = {}; //no special mode availiable
		return masks;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getReportIds()
	 */
	public int[] getReportIds() {
		int ids[] = {0x09};
		return ids;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getSpecialModeFuncionId()
	 */
	public int getSpecialModeFuncionId() {
		return SpecialModeFunction.SMF_SPI_ID;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#matchReportId(int)
	 */
	public boolean matchReportId(int reportId) {
		return (reportId == 0x09);
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#reportReceived(int[])
	 */
	public void reportReceived(int[] readBuffer) {
		// TODO Auto-generated method stub
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#setIowDevice(de.wagner_ibw.iow.IowInterface)
	 */
	public void setIowDevice(IowInterface iow) {
		this.iow  = iow;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#checkCompatibility()
	 * @since 0.9.4
	 */
	public boolean checkCompatibility(int id, int Revision, int specialModes) {
		//only for IO-Warrior 24
		if(id != Iow.IOW24ID) return false;
		//not at the same time with LCD	
		if((specialModes & SpecialModeFunction.SMF_LCD_ID) == SpecialModeFunction.SMF_LCD_ID) return false;
		return true;
	}
	

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.SpecialModeFunction#getName()
	 */
	public String getName() {
		return name;
	}

}